using APT.BaseData.Domain.Entities;
using APT.Infrastructure.Core;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Text;

namespace APT.MS.Domain.Entities.SC.PE
{
    [Description("附件上传")]
    public class T_PE_SAFETY_MONITOR_RECORD_DETAIL_FILE : MesEntityBase
    {
        [Description("纠正与预防措施评估明细表")]
        [DataFieldForeignKey("Nav_MonitorDetails", "Nav_Files")]
        public Guid SAFETY_MONITOR_RECORD_DETAIL_ID { get; set; }

        [Description("纠正与预防措施评估明细表")]
        public virtual T_PE_SAFETY_MONITOR_RECORD_DETAIL Nav_MonitorDetails { get; set; }

        [Description("文件ID")]
        [DataFieldForeignKey("Nav_ImgFile")]
        public Guid? IMG_FILE_ID { get; set; }

        [Description("导航属性：文件")]
        public virtual T_PF_IMG_FILE Nav_ImgFile { get; set; }
    }
}
